curl --request POST \
--url https://api.eda.prisme.ai/v2/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": {
"fr": "Bonjour",
"en": "Hello"
},
"photo": "<string>",
"config": {
"schema": {},
"block": "<string>",
"value": "<unknown>"
},
"blocks": {},
"slug": "<string>",
"id": "<string>",
"labels": [
"<string>"
],
"customDomains": [
"<string>"
],
"registerWorkspace": true,
"repositories": {},
"platformRepositories": {},
"secrets": {
"schema": {}
},
"events": {
"mapping": {},
"types": {}
},
"writeLock": {
"lockedAt": "<string>",
"lockedBy": "<string>",
"reason": "<string>"
}
}
'import requests
url = "https://api.eda.prisme.ai/v2/workspaces"
payload = {
"name": "<string>",
"description": {
"fr": "Bonjour",
"en": "Hello"
},
"photo": "<string>",
"config": {
"schema": {},
"block": "<string>",
"value": "<unknown>"
},
"blocks": {},
"slug": "<string>",
"id": "<string>",
"labels": ["<string>"],
"customDomains": ["<string>"],
"registerWorkspace": True,
"repositories": {},
"platformRepositories": {},
"secrets": { "schema": {} },
"events": {
"mapping": {},
"types": {}
},
"writeLock": {
"lockedAt": "<string>",
"lockedBy": "<string>",
"reason": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: {fr: 'Bonjour', en: 'Hello'},
photo: '<string>',
config: {schema: {}, block: '<string>', value: '<unknown>'},
blocks: {},
slug: '<string>',
id: '<string>',
labels: ['<string>'],
customDomains: ['<string>'],
registerWorkspace: true,
repositories: {},
platformRepositories: {},
secrets: {schema: {}},
events: {mapping: {}, types: {}},
writeLock: {lockedAt: '<string>', lockedBy: '<string>', reason: '<string>'}
})
};
fetch('https://api.eda.prisme.ai/v2/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": {
"fr": "Bonjour",
"en": "Hello"
},
"photo": "<string>",
"config": {
"schema": {},
"block": "<string>",
"value": "<unknown>"
},
"blocks": {},
"slug": "<string>",
"id": "<string>",
"labels": [
"<string>"
],
"customDomains": [
"<string>"
],
"registerWorkspace": true,
"repositories": {},
"platformRepositories": {},
"secrets": {
"schema": {}
},
"events": {
"mapping": {},
"types": {}
},
"writeLock": {
"lockedAt": "<string>",
"lockedBy": "<string>",
"reason": "<string>"
}
}{
"error": "BadParameters",
"message": "<string>",
"details": "<unknown>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}Post v2workspaces
Create a new workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
^[0-9A-Za-zÀ-ÖØ-öø-ÿ ,.'- ]{1,60}$Show child attributes
Show child attributes
{ "fr": "Bonjour", "en": "Hello" }
Show child attributes
Show child attributes
Show child attributes
Show child attributes
^[0-9A-Za-z._:-]{2,60}$If true, make this workspace metadata available to all workspaces with this variable : {{global.workspacesRegistry[WORKSPACE_SLUG]}}
Remote versioning repositories
Show child attributes
Show child attributes
Platform remote versioning repositories
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Lock preventing writes during versioning operations or unresolved merge conflicts
Show child attributes
Show child attributes
Response
Success Response
^[0-9A-Za-zÀ-ÖØ-öø-ÿ ,.'- ]{1,60}$Show child attributes
Show child attributes
{ "fr": "Bonjour", "en": "Hello" }
Show child attributes
Show child attributes
Show child attributes
Show child attributes
^[0-9A-Za-z._:-]{2,60}$If true, make this workspace metadata available to all workspaces with this variable : {{global.workspacesRegistry[WORKSPACE_SLUG]}}
Remote versioning repositories
Show child attributes
Show child attributes
Platform remote versioning repositories
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Lock preventing writes during versioning operations or unresolved merge conflicts
Show child attributes
Show child attributes
Was this page helpful?